aboutsummaryrefslogtreecommitdiff
path: root/gas/configure
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@airs.com>1995-09-13 20:35:17 +0000
committerIan Lance Taylor <ian@airs.com>1995-09-13 20:35:17 +0000
commit5f757edc84fb6d5db2e2b91c342b14c3d96ef92f (patch)
treec089f1c5afe507b1bc6fbb6275dad956fff8175a /gas/configure
parentaa4b3dc5091e2e50726b78da3550ccc9a1e57711 (diff)
downloadgdb-5f757edc84fb6d5db2e2b91c342b14c3d96ef92f.zip
gdb-5f757edc84fb6d5db2e2b91c342b14c3d96ef92f.tar.gz
gdb-5f757edc84fb6d5db2e2b91c342b14c3d96ef92f.tar.bz2
* Makefile.in (EXPECT): New variable.
(CHECKFLAGS): Remove. (site.exp): New target. (check): Rewrite to invoke runtest directly, rather than recurring down into testsuite. (clean-here): Remove testsuite directory. (clean, distclean): Don't recur into testsuite. * configure.in: Don't call AC_CONFIG_SUBDIRS(testsuite). * configure: Rebuild.
Diffstat (limited to 'gas/configure')
-rwxr-xr-xgas/configure128
1 files changed, 14 insertions, 114 deletions
diff --git a/gas/configure b/gas/configure
index 91d61dc..34064ce 100755
--- a/gas/configure
+++ b/gas/configure
@@ -775,8 +775,8 @@ for this_target in $target $canon_targets ; do
rce-*-aout) fmt=aout ;;
# end-sanitize-rce
- ns32k-pc532-mach*) fmt=aout em=pc532mach ;;
- ns32k-pc532-netbsd*) fmt=aout em=nbsd532 ;;
+ ns32k-pc532-mach* | ns32k-pc532-ux*) fmt=aout em=pc532mach ;;
+ ns32k-pc532-netbsd* | ns32k-pc532-lites*) fmt=aout em=nbsd532 ;;
sparc-*-sunos4*) fmt=aout em=sun3 ;;
sparc-*-aout | sparc*-*-vxworks)
@@ -827,6 +827,17 @@ for this_target in $target $canon_targets ; do
*) ;;
esac
+# Other random stuff.
+
+ test -n "$want_sparcv9" && cat >> confdefs.h <<\EOF
+#define sparcv9 1
+EOF
+
+
+ case ${cpu_type} in
+ m68k) extra_objects="$extra_objects m68k-parse.o" ;;
+ esac
+
# See if we really can support this configuration with the emulation code.
if test $this_target = $target ; then
@@ -860,17 +871,6 @@ for this_target in $target $canon_targets ; do
emulations="$emulations $emulation"
-# Other random stuff.
-
- test -n "$want_sparcv9" && cat >> confdefs.h <<\EOF
-#define sparcv9 1
-EOF
-
-
- case ${cpu_type} in
- m68k) extra_objects="$extra_objects m68k-parse.o" ;;
- esac
-
done
# Assign floating point type. Most processors with FP support
@@ -1809,7 +1809,7 @@ $gas_test_headers
int main() { return 0; }
int t() {
-typedef int f;
+typedef void (*f)();
f x;
x = (f) free;
@@ -1877,9 +1877,6 @@ EOF
}
-subdirs="testsuite"
-
-
trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
@@ -2012,7 +2009,6 @@ s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@CPP@%$CPP%g
s%@ALLOCA@%$ALLOCA%g
-s%@subdirs@%$subdirs%g
CEOF
EOF
@@ -2223,99 +2219,3 @@ chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
-if test "$no_recursion" != yes; then
-
- # Remove --cache-file and --srcdir arguments so they do not pile up.
- ac_sub_configure_args=
- ac_prev=
- for ac_arg in $ac_configure_args; do
- if test -n "$ac_prev"; then
- ac_prev=
- continue
- fi
- case "$ac_arg" in
- -cache-file | --cache-file | --cache-fil | --cache-fi \
- | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
- ac_prev=cache_file ;;
- -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
- | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
- ;;
- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
- ac_prev=srcdir ;;
- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
- ;;
- *) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
- esac
- done
-
- for ac_config_dir in testsuite; do
-
- # Do not complain, so a configure script can configure whichever
- # parts of a large source tree are present.
- if test ! -d $srcdir/$ac_config_dir; then
- continue
- fi
-
- echo configuring in $ac_config_dir
-
- case "$srcdir" in
- .) ;;
- *)
- if test -d ./$ac_config_dir || mkdir ./$ac_config_dir; then :;
- else
- { echo "configure: error: can not create `pwd`/$ac_config_dir" 1>&2; exit 1; }
- fi
- ;;
- esac
-
- ac_popdir=`pwd`
- cd $ac_config_dir
-
- case "$srcdir" in
- .) # No --srcdir option. We are building in place.
- ac_sub_srcdir=$srcdir ;;
- /*) # Absolute path.
- ac_sub_srcdir=$srcdir/$ac_config_dir ;;
- *) # Relative path.
- ac_sub_srcdir=../$srcdir/$ac_config_dir ;;
- esac
-
- # Check for guested configure; otherwise get Cygnus style configure.
- if test -f $ac_sub_srcdir/configure; then
- ac_sub_configure=$ac_sub_srcdir/configure
- elif test -f $ac_sub_srcdir/configure.in; then
- ac_sub_configure=$ac_configure
- else
- echo "configure: warning: no configuration information is in $ac_config_dir" 1>&2
- ac_sub_configure=
- fi
-
- # The recursion is here.
- if test -n "$ac_sub_configure"; then
-
- # Make the cache file name correct relative to the subdirectory.
- # A "../" for each directory in /$ac_config_dir.
- ac_dots=`echo $ac_config_dir|sed -e 's%^\./%%' -e 's%[^/]$%&/%' -e 's%[^/]*/%../%g'`
- case "$cache_file" in
- /*) ac_sub_cache_file=$cache_file ;;
- *) # Relative path.
- ac_sub_cache_file="$ac_dots$cache_file" ;;
- esac
- case "$ac_given_INSTALL" in
- [/$]*) INSTALL="$ac_given_INSTALL" ;;
- *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
- esac
-
- echo "running ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir"
- # The eval makes quoting arguments work.
- if eval ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir
- then :
- else
- { echo "configure: error: $ac_sub_configure failed for $ac_config_dir" 1>&2; exit 1; }
- fi
- fi
-
- cd $ac_popdir
- done
-fi
-